body{
    background-color: #00A966;
    
}

header{
    background-color:#2DC97C;
    margin-bottom: 30px;
}

.mainTitre{
    display: flex;
    align-items: center;
    justify-content: center;
}
.mainTitre p {
    font-size: 5rem;
    font-weight: 600;
}


/* Box qui contient les choix et le tableau des joueurs */
.boxPrincipale{

    background-color: #2DC97C;

    position: absolute;
    width: 1256px;
    height: 600px;
    left: 50%;
    transform: translate(-50%);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 40px;

    display: flex;
    justify-content: space-around;
    align-items: center;

}

.boxChoixEnsemble{

    width: 342px;
    height: 624px;

    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
   

}

.boxChoix{
    width: 342px;
    height: 449px;
    margin-bottom: 20px;
    /* left: 126px;
    top: 33px; */

    
    background: #17B170;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 40px;

    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

/* Format pour tous les boutons */
.monChoixBouton{
    width: 193px;
    height: 58px;

    display: flex;
    justify-content: center;
    align-items: center;


    background: #2DC97C;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 40px;
}

/* Format pour le texte a l'interieur des boutons */
.monChoixBouton p{
    display: flex;
    justify-content: center;
    align-items: center;

    font-family: 'Judson';
    font-style: italic;
    width: 193px;    /* la width et le height permettent de pouvoir choisir le bouton en touchant n'importe ou dans le rectangle et pas seulement sur le texte */
    height: 58px;
    font-weight: 400;
    font-size: 32px;
    line-height: 38px;
    color: #FFFFFF;
}

/* --------------------------------- Partie qui gère le format des boutons ------------------ */

.monChoixBouton p:active{   /* Pour donner un effet plus visuel lorsqu'on appuie sur le bouton */
    color: #3d3c3c;
}
.monChoixBouton:hover{   /* Pour donner un effet plus visuel lorsqu'on appuie sur le bouton */
    background-color: #2DB87C;
}

.monChoixBouton input[type="radio"] {   /* Permet d'enlever les check box radio */
    display: none;
}

/* Permet de voir quel bouton a été choisi sans avoir besoin du check box radio */
.monChoixBouton input[type="radio"]:checked + label p{
    background-color: #08c768;
    color: #eeff00;
    width: 193px;
    height: 58px;
    display: flex;
    justify-content: center;
    align-items: center;

    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 40px;
}

/* Bouton pour submit le choix d'action a faire */
.boutonConfirmerChoix{
    width: 341px;
    height: 100px;
    /* left: 127px;
    top: 495px; */

    background: #17B170;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 40px;
}
.boutonConfirmerChoix:active{
    background: #2ce99a;
}
.boutonConfirmerChoix:hover{
    background: #17C070;
}

#butConfirmerChoix{
    background-color: transparent;
    border : 0px;
    width: 341px;
    height: 100px;

    font-family: 'Judson';
    font-style: italic;
    font-weight: 400;
    font-size: 40px;
    line-height: 47px;
    letter-spacing: 0.16em;

    color: #FFFFFF;
}

/* -------------- Partie retours php ---------------- */

.boxRetourActions{
    width: 841px;
    height: 572px;
    left: 126px;
    background: #17B170;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 40px;
}

.nomAction{
    width: 841px;
    height: 38px;
    border-radius: 40px 40px 0 0;

    background-color: #00984B;
    margin-bottom: 10px;
    
}
.nomAction p{
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;

    font-family: 'Judson';
    font-style: italic;
    font-weight: 400;
    font-size: 32px;
    line-height: 38px;
    color: #FFFFFF;
}

.textAlerte{
    font-size : 3em;
    color : white;
    font-family: 'Judson';
}


/* ------------------------- Pour afficher le tableau des joueurs ------------------------- */


#tableauDesJoueurs {

    width: 100%;
    height: 521px;
    overflow-y: auto;
    border-radius: 0 0 32px 32px;
    position : relative;
}

table {
    width: 100%;
    height: auto;
    border-collapse: collapse;
    overflow-y: auto;
}

.colonneTab{
    font-weight: bold;
    color : black;
}
th, td {
    border: 1px solid black;
    padding: 8px;
    text-align: left;
    color: aliceblue;
    font-size : 1.4em;
}

thead {
    background-color: #00984B; /* Couleur de fond pour l'en-tête */
    position: sticky;
    top: 0;
    z-index: 1;
}

/* ----------------- Pour Inserer un joueur ------------------------- */

#formInserer{
       position: absolute;
    width: 623px;
    height: 426px;
    left: 50%;
    top: 50%;
    transform: translate(-19%, -50%);
    background: #17B170;
    box-shadow: 9px 4px 4px rgba(0, 0, 0, 0.25), -13px 4px 15.9px rgba(0, 0, 0, 0.25);
    border-radius: 40px;

    display: flex;
    justify-content: center;
    align-items: center;

    color: white;
    font-size: 2em;
    font-family: 'Calibri';
}

#poste {
    font-size: 0.8em;
    font-family: 'Calibri';
    background:#01e087;
    border : 0px;
    position: absolute;
    top: 240px;
    left: 250px;
}


.champDeSaisie {
    border-bottom: 1px solid rgb(255, 255, 255);
    border-top: 0px;
    border-left: 0px;
    border-right: 0px;
    background: none;
    height: 30px;
    width: 350px;  
}

.champDeSaisie::placeholder{
    color: white;
    font-family: 'Calibri';
    font-size: 2em;
}

#formInserer input[type="submit"]{
    background-color: #26ee8a ;
    border :0px;
    width: 400px;
    height: 58px;

    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 40px;

}
#formInserer input[type="submit"]:hover{
    background-color: #2DB87C ;


}

/* ----------------- Pour supprimer un joueur ------------------------- */
#formSupprimer {
    
    width: 841px;
    height: 449px;
    overflow-y: auto; /* Ajoute une barre de défilement verticale si nécessaire */
    color: white;
    font-size : 2em;
    display: flex;
    justify-content: center;
    
}

ul {
    list-style-type: none; 
    padding: 0;
}

li {
    margin-bottom: 10px;
}

input[type="checkbox"] {
    /* Styles pour les cases à cocher */
    margin-right: 10px; 
}

.boutonSupprimerJoueur{
    background-color: #26ee8a ;
    border :0px;
    width: 400px;
    height: 58px;

    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    border-radius: 40px;
    position : absolute;
    bottom : 20px;
    Left: 50%;

}

